## python-scipy 0.3.2

=== Lib/xplt/src/gist/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

CFLAGS=$(COPTIONS) -I. -I../play
X11LIB=$(XLIB) -lX11
CCLOAD=$(CC) $(LDOPTIONS) $(LDFLAGS)
SYS_LIBS=$(X11LIB) $(MATHLIB) $(FPELIB)

D_GISTPATH='-DGISTPATH="~/gist:~/Gist:$(Y_SITE)/g"'

OBJS=gist.o tick.o tick60.o engine.o gtext.o draw.o draw0.o clip.o \
  gread.o gcntr.o hlevel.o ps.o cgm.o xfancy.o xbasic.o
BOBJS=browser.o cgmin.o eps.o

all: gist

# always check to see whether ../play/libplay.a needs to be rebuilt
libgist:
	@cd ../play; $(MAKE)
	@$(MAKE) libgist.a

# libyor puts the object files in ../yorick/libyor.a instead of libgist.a
libyor:
	@cd ../play; $(MAKE)
	@$(MAKE) make.done

# libyor puts the object files in ../libpyg.a instead of libgist.a
libpyg:
	@cd ../play; $(MAKE)
	@$(MAKE) LIBYOR_A=../libpyg.a make.done

# make.done clobbers libyor.a if its rule actually runs
LIBYOR_A=../yorick/libyor.a
make.done: $(OBJS) ../play/libplay.a
	cp ../play/libplay.a $(LIBYOR_A)
	$(AR) r $(LIBYOR_A) $(OBJS)
	$(RANLIB) $(LIBYOR_A)
	@touch $@

libgist.a: $(OBJS) ../play/libplay.a
	cp ../play/libplay.a $@
	$(AR) r $@ $(OBJS)
	$(RANLIB) $@

gist: libgist $(BOBJS) main.o
	$(CCLOAD) -o $@ main.o $(BOBJS) -L. -lgist $(SYS_LIBS)

bench: libgist bench.o main.o
	$(CCLOAD) -o $@ main.o bench.o -L. -lgist $(SYS_LIBS)

main.c: ../play/unix/pmain.c
	cp ../play/unix/pmain.c main.c

clean::
	rm -f *~ '#'* *.o *.a *.done core a.out main.c gist bench

distclean:: clean
	rm -f .gdbinit

config:
	@:

# ------------- dependencies -------------

# cgm.h: gist.h engine.h
# draw.h: gist.h
# engine.h: gist.h
# gtext.h: gist.h
# hlevel.h: gist.h
# ps.h: gist.h engine.h
# xbasic.h: gist.h engine.h play.h
# xfancy.h: xbasic.h

PLAY_H=../play/play.h
PSTDLIB_H=../play/pstdlib.h
PSTDIO_H=../play/pstdio.h
PLAY_ALL=$(PLAY_H) $(PSTDLIB_H) $(PSTDIO_H)

cgm.o: cgm.h gtext.h $(PLAY_ALL)  gist.h engine.h
clip.o: clip.h $(PSTDLIB_H)
draw.o: draw.c draw.h gtext.h $(PSTDLIB_H)  gist.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_EXP10) -c draw.c
draw0.o: draw.h gtext.h $(PLAY_H) $(PSTDLIB_H)  gist.h
engine.o: engine.h gist.h draw.h $(PSTDLIB_H)
gcntr.o: gist.h
gist.o: gist.h engine.h clip.h $(PLAY_H) $(PSTDLIB_H)
gread.o: gread.c gist.h $(PLAY_ALL)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_GISTPATH) -c gread.c
gtext.o: gtext.h  gist.h
hlevel.o: hlevel.h xbasic.h engine.h $(PSTDIO_H)  gist.h $(PLAY_H)
ps.o: ps.h gtext.h $(PLAY_H) $(PSTDIO_H)  gist.h engine.h
tick.o: tick.c gist.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_EXP10) -c tick.c
tick60.o: gist.h
xbasic.o: xbasic.h gtext.h $(PSTDIO_H)  gist.h engine.h $(PLAY_H)
xfancy.o: xfancy.c xfancy.h draw.h  gist.h xbasic.h engine.h $(PLAY_H)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_EXP10) -c xfancy.c

browser.o: xbasic.h cgm.h cgmin.h eps.h   gist.h engine.h $(PLAY_ALL)
cgmin.o: cgmin.h engine.h $(PLAY_ALL)   gist.h
eps.o: eps.h ps.h gtext.h $(PSTDIO_H) $(PSTDLIB_H)   gist.h engine.h

bench.o: hlevel.h xfancy.h $(PLAY_ALL)  gist.h xbasic.h engine.h

# Always compile main.c with -g so new packages can be debugged.
main.o: main.c
	$(CC) $(CPPFLAGS) -I../play -g -c main.c

## python-scipy 0.5.2

=== Lib/sandbox/arpack/ARPACK/UTIL/Makefile ===
############################################################################
#
#  Program:         ARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:        September 6, 1996
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################
#\SCCS Information: @(#)
# FILE: Makefile   SID: 2.1   DATE OF SID: 9/9/96   RELEASE: 2
 
include ../ARmake.inc
 
############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is defined by $(ARPACKLIB) in
#  ../ARmake.inc and is created at the next higher directory level.
#

OBJS  = icnteq.o icopy.o iset.o iswap.o ivout.o second.o

SOBJ  = svout.o  smout.o

DOBJ  = dvout.o  dmout.o

COBJ  = cvout.o  cmout.o 

ZOBJ  = zvout.o  zmout.o

.SUFFIXES:      .o .F .f

.f.o:
	$(FC) $(FFLAGS) -c $<
#
#  make the library containing both single and double precision
#
all: single double complex complex16
 
single: $(SOBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SOBJ) $(OBJS)
	$(RANLIB) $(ARPACKLIB)
 
double: $(DOBJ) $(OBJS) $(ZOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DOBJ) $(OBJS)
	$(RANLIB) $(ARPACKLIB)

complex: $(SOBJ) $(OBJS) $(COBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SOBJ) $(COBJ) $(OBJS)
	$(RANLIB) $(ARPACKLIB)

complex16: $(DOBJ) $(OBJS) $(ZOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DOBJ) $(ZOBJ) $(OBJS)
	$(RANLIB) $(ARPACKLIB)
#
sdrv:
	
ddrv:
	
cdrv:
	
zdrv:
	
#
#  clean	- remove all object files
#
clean:
	rm -f *.o a.out core

## python-scipy 0.6.0

=== scipy/special/tests/Makefile ===
#
#
test:
	sh -c 'for t in test*.py; do PYTHONPATH=.. $$t; done'

testref:
	sh -c 'for t in test*.py; do PYTHONPATH=.. $$t -b; done'

=== scipy/sandbox/cdavid/src/Makefile ===
CC	= colorgcc
LD	= gcc

AUTOGEN		= autogen

PYTHONINC	= -I/usr/include/python2.4
NUMPYINC	= -I/home/david/local/lib/python2.4/site-packages/numpy/core/include

DEBUG		= -g
OPTIMS		= -O3 -funroll-all-loops -march=pentium4 -msse2
#OPTIMS		= $(DEBUG)
WARN		= -W -Wall -Winline -Wstrict-prototypes -Wmissing-prototypes -Waggregate-return -Wcast-align -Wcast-qual -Wnested-externs -Wshadow -Wbad-function-cast -Wwrite-strings
LANGSTD		= -std=gnu9x

CFLAGS	= $(PYTHONINC) $(NUMPYINC) $(OPTIMS) $(WARN) $(LANGSTD)

OBJS	= autocorr_nofft.o levinson.o lpc.o

SRC		= levinson.c lpc.c autocorr_nofft.c

# targets
lib: libgabsig.so

src: $(SRC)

#=================
# Shared libraries
#=================
libgabsig.so: $(OBJS)
	$(LD) -shared -o $@ $(OBJS) -Wl,-soname,$@ 

#=============
# Object files
#=============
lpc.o: lpc.c 
	$(CC) -c $(CFLAGS) -fPIC $<

levinson.o: levinson.c 
	$(CC) -c $(CFLAGS) -fPIC $<

autocorr_nofft.o: autocorr_nofft.c autocorr_nofft.h
	$(CC) -c $(CFLAGS) -fPIC $<

#=========================
# Autogenerated c sources
#=========================
autocorr_nofft.c: autocorr_nofft.def autocorr_nofft.tpl
	$(AUTOGEN) autocorr_nofft.def

lpc.c: lpc.def lpc.tpl lpc.h
	$(AUTOGEN) lpc.def

levinson.c: levinson.def levinson.tpl levinson.h
	$(AUTOGEN) levinson.def

clean:
	rm -f libautocorr.so
	rm -f test_autocorr
	rm -f *.o
	rm -f *.so
	rm -f *.pyc
	rm -f autocorr_nofft.c
	rm -f lpc.c
	rm -f levinson.c

=== scipy/sandbox/pyem/doc/Makefile ===
# Last Change: Mon Jul 02 09:00 PM 2007 J

# This makefile is used to build the pdf from the rest file and inlined code
# from python examples

py2tex	= PYTHONPATH=/home/david/local/lib/python2.4/site-packages pygmentize -l python -f tex
rst2tex	= PYTHONPATH=/home/david/local/lib/python2.4/site-packages rst2newlatex.py \
		  --stylesheet-path base.tex --user-stylesheet user.tex 

pytexfiles	= pyem.tex basic_example1.tex basic_example2.tex basic_example3.tex pdfestimation.tex discriminant_analysis.tex

SOURCEPATH	= $(PWD)

EXTTOCLEAN=.chk .dvi .log .aux .bbl .blg .blig .ilg .toc .lof .lot .idx .ind .out .bak .ps .pdf .bm

tutorial.pdf: pyem.pdf
	mv $< $@

pyem.pdf: $(pytexfiles)
	pdflatex $<
	pdflatex $<
	pdflatex $<

pyem.tex: index.txt
	$(rst2tex) $< > $@

basic_example1.tex: ../examples/basic_example1.py
	$(py2tex) $< > $@

basic_example2.tex: ../examples/basic_example2.py
	$(py2tex) $< > $@

basic_example3.tex: ../examples/basic_example3.py
	$(py2tex) $< > $@

pdfestimation.tex: ../examples/pdfestimation.py
	$(py2tex) $< > $@

discriminant_analysis.tex: ../examples/discriminant_analysis.py
	$(py2tex) $< > $@

clean:
	for i in $(pytexfiles); do \
		rm -f `echo $$i`; \
	done;
	for i in $(SOURCEPATH); do \
		for j in $(EXTTOCLEAN); do \
			rm -f  `echo $$i/*$$j`; \
		done; \
	done;

=== scipy/sandbox/pyem/src/Makefile ===
CC	= colorgcc
LD	= gcc

PYREX	= python2.4-pyrexc

PYTHONINC	= -I/usr/include/python2.4
NUMPYINC	= -I/home/david/local/lib/python2.4/site-packages/numpy/core/include
OPTIMS		= -O3 -funroll-all-loops -march=pentium4 -msse2
WARN		= -Wall -W -Winline -Wstrict-prototypes -Wmissing-prototypes \
		-Waggregate-return -Wcast-align -Wcast-qual -Wnested-externs \
		-Wshadow -Wbad-function-cast -Wwrite-strings

CFLAGS	= $(PYTHONINC) $(NUMPYINC) $(OPTIMS) $(WARN)

targets: c_gden.so _rawden.so

c_gden.so: c_gden.o
	$(LD) -shared -o $@ $< -Wl,-soname,$@

_rawden.so: pure_den.o
	$(LD) -shared -o $@ $< -Wl,-soname,$@

c_gden.o: c_gden.c
	$(CC) -c $(CFLAGS) -fPIC $<

pure_den.o: pure_den.c
	$(CC) -c $(CFLAGS) -fPIC $<

#c_gmm.so: c_gmm.o
#	$(LD) -shared -o $@ $< -Wl,-soname,$@
#
#c_gmm.o: c_gmm.c
#	$(CC) -c $(CFLAGS) -fPIC $<
#
#c_gmm.c: c_gmm.pyx c_numpy.pxd c_python.pxd
#	$(PYREX) $<

clean:
	rm -f c_gmm.c
	rm -f *.o
	rm -f *.so
	rm -f *.pyc

=== scipy/sandbox/svm/libsvm-2.82/SConstruct ===
env = Environment()
env.Replace(CXXFLAGS=['-O2','-Wall','-ansi','-pedantic'])
env.SharedLibrary('libsvm_', ['svm.cpp'])

## python-scipy 0.7.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = LANG=C sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  dist      to make a distribution-ready tree"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  upload USER=...  to upload results to docs.scipy.org"

clean:
	-rm -rf build/* source/generated source/_static/plot_directive

upload:
	@test -e build/dist || { echo "make dist is required first"; exit 1; }
	@test output-is-fine -nt build/dist || { \
	    echo "Review the output in build/dist, and do 'touch output-is-fine' before uploading."; exit 1; }
	rsync -r -z --delete-after -p build/dist/ $(USER)@docs.scipy.org:/home/docserver/www-root/doc/scipy/

dist: html
	test -d build/latex || make latex
	-make -C build/latex all-pdf
	-test -d build/htmlhelp || make htmlhelp-build
	-rm -rf build/dist
	mkdir -p build/dist
	cp -r build/html build/dist/reference
	touch build/dist/index.html
	perl -pi -e 's#^\s*(<li><a href=".*?">SciPy.*?Reference Guide.*?&raquo;</li>)\s*$$#<li><a href="/">Numpy and Scipy Documentation</a> &raquo;</li> $$1#;' build/dist/*.html build/dist/*/*.html build/dist/*/*/*.html
	(cd build/html && zip -9qr ../dist/scipy-html.zip .)
	cp build/latex/scipy*.pdf build/dist
	-zip build/dist/scipy-chm.zip build/htmlhelp/scipy.chm
	cd build/dist && tar czf ../dist.tar.gz *
	chmod ug=rwX,o=rX -R build/dist
	find build/dist -type d -print0 | xargs -0r chmod g+s

generate: build/generate-stamp
build/generate-stamp: $(wildcard source/*.rst)
	mkdir -p build
	./sphinxext/autosummary_generate.py source/*.rst \
		-p dump.xml -o source/generated 
	touch build/generate-stamp

html: generate
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	python postprocess.py html build/html/*.html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle: generate
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp: generate
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

htmlhelp-build: htmlhelp build/htmlhelp/scipy.chm
%.chm: %.hhp
	-hhc.exe $^

latex: generate
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	python postprocess.py tex build/latex/*.tex
	perl -pi -e 's/\t(latex.*|pdflatex) (.*)/\t-$$1 -interaction batchmode $$2/' build/latex/Makefile
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

coverage: build
	mkdir -p build/coverage build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) build/coverage
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

changes: generate
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck: generate
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

.PHONY: help clean upload dist generate html pickle web htmlhelp latex \
	coverage changes linkcheck htmlhelp-build

## python-scipy 0.7.2

=== debian/changelog ===
python-scipy (0.7.2-2ubuntu1) maverick; urgency=low

  * debian/patches/blitz++.patch: 
    - Fix scipy.weave.inline compilations (LP: #302649)

 -- Sameer Morar <smorar@gmail.com>  Wed, 29 Sep 2010 13:42:10 +0200

python-scipy (0.7.2-2) unstable; urgency=low

  * debian/patches/string_exceptions.patch:
    - Do not use string exceptions, not supported by Python 2.6.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 07 Jun 2010 14:52:40 +0200

python-scipy (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * Provide python-scipy-dbg package (Closes: #525329).
  * Add myself to Uploaders.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 25 Apr 2010 17:21:21 +0200

python-scipy (0.7.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!

  [ Luca Falavigna ]
  * New upstream release.
    - Fix KeyError exception in sparse module (Closes: #525109).
    - Fix SyntaxWarning exception with python2.6 (Closes: #567148).
  * debian/patches/restore_sys_argv.patch:
    - Restore sys.argv in case of exception (Closes: #500814).
  * debian/control:
    - Depend on ${misc:Depends}.
    - Drop useless Conflicts/Replaces fields.
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/README.Debian:
    - Remove obsolete information.
  * debian/pycompat:
    - Remove, useless.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 05 Apr 2010 17:10:56 +0200

python-scipy (0.7.0-2) unstable; urgency=medium

  [ Julien Lavergne ]
  * debian/copyright : Update Copyright holders (Closes: #524131)
  * From Ubuntu, prepare for the future python transition:
   - debian/rules: 
    + Include /usr/share/python/python.mk
    + Add $(py_setup_install_args) to setup.py install
    + Replace site-packages by *-packages
   - debian/control: 
    + Bump build-depends to python-all-dev (>= 2.5.4-1~)

  [ Luca Falavigna ]
  * Remove patches, they are no longer needed and also causing FTBFS with
    recent python-numpy. Remove quilt machinery too (Closes: #545606).
  * debian/copyright: add missing copyright holder (Closes: #540504).
  * debian/control: bump Standards-Version to 3.8.3, no changes required.
  * debian/watch: fix regex to report correct upstream stable version.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 15 Sep 2009 23:30:12 +0200

python-scipy (0.7.0-1) unstable; urgency=low

  [ Ondrej Certik ]
  * Beta version
  * debian/patches: scipy_include_fix.diff and segfault.patch removed (applied
    upstream),  swig_ftbfs.dpatch and umfpack.dpatch updated to new paths

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ David Cournapeau ]
  * New upstream version
  * Remove obsolete dependencies on libfftw3-dev, libx11-dev and libnetcdf-dev
  * Update version for numpy dependency: scipy requires version >= 1.2.0
  * Set ATLAS to None when building scipy to avoid depending on ATLAS API, and
  only use BLAS/LAPACK public API, even when ATLAS is installed on the build
  machine

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 08 Mar 2009 18:47:03 -0700

python-scipy (0.6.0-12) unstable; urgency=low

  * The description updated to match the current SciPy (Closes: #489149).
  * Standards-Version bumped to 3.8.0 (no action needed)
  * Build-Depends: netcdf-dev changed to libnetcdf-dev

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 16 Jun 2008 22:58:01 +0200

python-scipy (0.6.0-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change description to refer to python-numpy package instead of Numeric
    to avoid confusion with python-numeric package.

 -- Chris AtLee <chris@atlee.ca>  Wed, 23 Apr 2008 15:45:22 -0400

python-scipy (0.6.0-11) unstable; urgency=low

  * Fixes FTBFS, by unexporting LDFLAGS and setting FFLAGS directly, the same
    hack as in numpy (Closes: #475990)

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 14 Apr 2008 14:53:57 +0200

python-scipy (0.6.0-10) unstable; urgency=low

  [Sandro Tosi]
  * Fixes a dangling symlink (Closes: #471825) 

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 20 Mar 2008 14:50:31 +0100

python-scipy (0.6.0-9) unstable; urgency=medium

  * Uses correct pycentral locations (Closes: #471549)

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 19 Mar 2008 21:41:12 +0100

python-scipy (0.6.0-8) unstable; urgency=low

  * Build depend on libsuitesparse (>= 3.1.0-3)
  * Build depends fixed to use gfortran based lapack and blas (Closes: #466868)

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 23 Feb 2008 01:21:51 +0100

python-scipy (0.6.0-7) unstable; urgency=low

  * Bumped the version, because python-numpy conflicts with python-scipy (<=
    0.6.0-6). This compiles against the old suitesparse, but it makes the
    package installable and working again. 

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 21 Feb 2008 15:38:00 +0100

python-scipy (0.6.0-6) UNRELEASED; urgency=low

  * debian/control
    - uniforming both Vcs-Svn and Vcs-Browser fields

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 03 Jan 2008 12:18:46 +0100

python-scipy (0.6.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed `fftw3-dev' to `libfftw3-dev' to get rid of that dependency
    on a virtual package.
  * Fix FTBFS with relation to swig with a patch provided by
    Kumar Appaiah (Closes: #456892)

 -- Philipp Kern <pkern@debian.org>  Mon, 31 Dec 2007 13:45:10 +0100

python-scipy (0.6.0-5) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-DM-Upload-Allowed 
  * standards-version made uptodate (3.7.3)
  * don't create an empty dir usr/share/doc/python-scipy/weave/

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 04 Dec 2007 22:27:48 +0100

python-scipy (0.6.0-4) unstable; urgency=low

  * Use quilt (much eaiser to use) instead of dpatch
  * Paul's patch added (Closes: #452991)
  * Add DM-Upload-Allowed: yes

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 03 Dec 2007 15:33:24 +0100



=== debian/control ===
Source: python-scipy
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5.4-1~),
 python-all-dbg (>= 2.5.4-1~), python-central (>= 0.6.7),
 python-numpy (>= 1:1.2.0), python-numpy-dbg (>= 1:1.2.0),
 gfortran, sharutils, swig, libsuitesparse-dev (>= 3.1.0-3),
 libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev
XS-Python-Version: all
Standards-Version: 3.8.4
Homepage: http://www.scipy.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/scipy/trunk/
XS-DM-Upload-Allowed: yes

Package: python-scipy
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-numpy (>= 1:1.2.0), ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Recommends: g++ | c++-compiler
Suggests: python-profiler
Description: scientific tools for Python
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.

Package: python-scipy-dbg
Section: debug
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-dbg, ${shlibs:Depends}, ${misc:Depends}, python-scipy (= ${binary:Version}), python-numpy-dbg (>= 1:1.2.0)
Description: scientific tools for Python - debugging symbols
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides debugging symbols for python-scipy.

=== debian/rules ===
#!/usr/bin/make -f

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None

PYVERS:= $(shell pyversions -v -r debian/control)
BASE=$(shell pwd)/debian

%:
	dh --with python-central $@

override_dh_auto_clean:
	rm -rf build
	find . -name "*.pyc" -exec rm {} \;

override_dh_auto_install:
	set -e; for v in $(PYVERS); do                                   \
		d=$(BASE)/python-scipy;                                  \
		mkdir -m 755 -p $$d/usr/share/doc/python-scipy;          \
		python$$v setup.py config_fc --noarch build;             \
		python$$v setup.py install --prefix $$d/usr              \
			--no-compile --install-layout=deb;               \
		rm -f $$d/usr/lib/python$$v/*-packages/scipy/LICENSE.txt;\
		python$$v setup.py clean --all;                          \
	done
	set -e; for v in $(PYVERS); do                                   \
		d=$(BASE)/python-scipy-dbg;                              \
		mkdir -m 755 -p $$d/usr/share/doc/python-scipy-dbg;      \
		CFLAGS="-g -ggdb" python$$v-dbg setup.py config_fc       \
					--noarch build;                  \
		python$$v-dbg setup.py install --prefix $$d/usr          \
			--no-compile --install-layout=deb;               \
		rm -f $$d/usr/lib/python$$v/*-packages/scipy/LICENSE.txt;\
		python$$v-dbg setup.py clean --all;                      \
	done
	find debian/python-scipy-dbg ! -type d ! -name '*_d.so' | xargs rm -f
	find debian/python-scipy-dbg -depth -empty -exec rmdir {} \;
	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/

override_dh_fixperms:
	dh_fixperms
	set -e; for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!' ; then                      \
	    		chmod +x $$i;                                      \
		fi ;                                                       \
	done
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/`pycentral pycentraldir python-scipy`/scipy/cluster/tests/vq_test.py
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/`pycentral pycentraldir python-scipy`/scipy/stats/tests/test_stats.py

override_dh_strip:
	dh_strip --dbg-package=python-scipy-dbg

=== debian/watch ===
version=3
http://sf.net/scipy/scipy-([0-9.]+)\.tar\.gz

## python-scipy 0.7.2+dfsg1

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 # Makefile for Sphinx documentation
 #
+
+PYVER =
+PYTHON = python$(PYVER)
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
@@ -11,31 +14,62 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 
-.PHONY: help clean html web pickle htmlhelp latex changes linkcheck
+.PHONY: help clean html web pickle htmlhelp latex changes linkcheck \
+        dist dist-build
+
+#------------------------------------------------------------------------------
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  dist      to make a distribution-ready tree"
 	@echo "  html      to make standalone HTML files"
 	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
 	@echo "  htmlhelp  to make HTML files and a HTML help project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  changes   to make an overview over all changed/added/deprecated items"
 	@echo "  linkcheck to check all external links for integrity"
+	@echo "  dist PYVER=... to make a distribution-ready tree"
 	@echo "  upload USER=...  to upload results to docs.scipy.org"
 
 clean:
-	-rm -rf build/* source/generated source/_static/plot_directive
+	-rm -rf build/* source/generated
+
+
+#------------------------------------------------------------------------------
+# Automated generation of all documents
+#------------------------------------------------------------------------------
+
+# Build the current scipy version, and extract docs from it.
+# We have to be careful of some issues:
+# 
+# - Everything must be done using the same Python version
+# - We must use eggs (otherwise they might override PYTHONPATH on import).
+# - Different versions of easy_install install to different directories (!)
+#
+
+INSTALL_DIR = $(CURDIR)/build/inst-dist/
+INSTALL_PPH = $(INSTALL_DIR)/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/lib/python$(PYVER)/dist-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/dist-packages
+
+DIST_VARS=PYTHON="PYTHONPATH=$(INSTALL_PPH):$$PYTHONPATH python$(PYVER)" SPHINXBUILD="LANG=C PYTHONPATH=$(INSTALL_PPH):$$PYTHONPATH python$(PYVER) `which sphinx-build`"
+
+UPLOAD_TARGET = $(USER)@docs.scipy.org:/home/docserver/www-root/doc/scipy/
 
 upload:
 	@test -e build/dist || { echo "make dist is required first"; exit 1; }
 	@test output-is-fine -nt build/dist || { \
-	    echo "Review the output in build/dist, and do 'touch output-is-fine' before uploading."; exit 1; }
-	rsync -r -z --delete-after -p build/dist/ $(USER)@docs.scipy.org:/home/docserver/www-root/doc/scipy/
+		echo "Review the output in build/dist, and do 'touch output-is-fine' before uploading."; exit 1; }
+	rsync -r -z --delete-after -p \
+	    $(if $(shell test -f build/dist/scipy-ref.pdf && echo "y"),, \
+	         --exclude '**-ref.pdf' --exclude '**-user.pdf') \
+	    $(if $(shell test -f build/dist/scipy-chm.zip && echo "y"),, \
+	         --exclude '**-chm.zip') \
+	    build/dist/ $(UPLOAD_TARGET)
 
-dist: html
+dist:
+	make $(DIST_VARS) real-dist
+
+real-dist: dist-build html
 	test -d build/latex || make latex
-	-make -C build/latex all-pdf
+	make -C build/latex all-pdf
 	-test -d build/htmlhelp || make htmlhelp-build
 	-rm -rf build/dist
 	mkdir -p build/dist
@@ -49,17 +83,29 @@
 	chmod ug=rwX,o=rX -R build/dist
 	find build/dist -type d -print0 | xargs -0r chmod g+s
 
+dist-build:
+	rm -f ../dist/*.egg
+	cd .. && $(PYTHON) setupegg.py bdist_egg
+	install -d $(subst :, ,$(INSTALL_PPH))
+	$(PYTHON) `which easy_install` --prefix=$(INSTALL_DIR) ../dist/*.egg
+
+
+#------------------------------------------------------------------------------
+# Basic Sphinx generation rules for different formats
+#------------------------------------------------------------------------------
+
 generate: build/generate-stamp
 build/generate-stamp: $(wildcard source/*.rst)
 	mkdir -p build
-	./sphinxext/autosummary_generate.py source/*.rst \
-		-p dump.xml -o source/generated 
+	$(PYTHON) \
+		./sphinxext/autosummary_generate.py source/*.rst \
+		-p dump.xml -o source/generated
 	touch build/generate-stamp
 
 html: generate
 	mkdir -p build/html build/doctrees
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
-	python postprocess.py html build/html/*.html
+	$(PYTHON) postprocess.py html build/html/*.html
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
 
@@ -87,7 +133,7 @@
 latex: generate
 	mkdir -p build/latex build/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
-	python postprocess.py tex build/latex/*.tex
+	$(PYTHON) postprocess.py tex build/latex/*.tex
 	perl -pi -e 's/\t(latex.*|pdflatex) (.*)/\t-$$1 -interaction batchmode $$2/' build/latex/Makefile
 	@echo
 	@echo "Build finished; the LaTeX files are in build/latex."
@@ -111,6 +157,3 @@
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in build/linkcheck/output.txt."
-
-.PHONY: help clean upload dist generate html pickle web htmlhelp latex \
-	coverage changes linkcheck htmlhelp-build

=== debian/changelog ===
python-scipy (0.7.2+dfsg1-1) unstable; urgency=low

  * Release with a new source tarball with missing cython source files
  * debian/rules: Add get-orig-source target
  * Add debian/README.source explaining the repackaging of source tarball
  * Add debian/orig-tar.sh to add missing cython source files to the
    source tarball (Closes: #589731)
  * debian/rules: add call to dh_numpy to generate stricter versioned
    depends on python-numpy (Closes: #590763)
  * Bump Standards-Version to 3.9.1
  * Add myself to Uploaders

 -- Varun Hiremath <varun@debian.org>  Fri, 30 Jul 2010 18:29:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Luca Falavigna <dktrkranz@debian.org>, Varun Hiremath <varun@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5.4-1~),
  python-all-dbg (>= 2.5.4-1~), python-central (>= 0.6.7),
- python-numpy (>= 1:1.2.0), python-numpy-dbg (>= 1:1.2.0),
+ python-numpy (>= 1:1.4.1-4~), python-numpy-dbg (>= 1:1.2.0),
  gfortran, sharutils, swig, libsuitesparse-dev (>= 3.1.0-3),
  libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev
 XS-Python-Version: all
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.scipy.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/scipy/trunk/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 PYVERS:= $(shell pyversions -v -r debian/control)
 BASE=$(shell pwd)/debian
+DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
+UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")
 
 %:
 	dh --with python-central $@
@@ -38,6 +40,9 @@
 	find debian/python-scipy-dbg -depth -empty -exec rmdir {} \;
 	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/
 
+        #call dh_numpy
+	dh_numpy
+
 override_dh_fixperms:
 	dh_fixperms
 	set -e; for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
@@ -50,3 +55,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=python-scipy-dbg
+
+get-orig-source:
+	-uscan --force-download --download-version $(UVER) --rename

## python-scipy 0.8.0+dfsg1

=== debian/changelog ===
python-scipy (0.8.0+dfsg1-1ubuntu1) natty; urgency=low

  * Merge from debian experimental (LP: #696403). Remaining changes:
    - debian/patches/stdc_format_macros.patch: Fix FTBFS issue with python 2.7

 -- Sameer Morar <smorar@gmail.com>  Thu, 03 Feb 2011 04:28:09 +0000

python-scipy (0.8.0+dfsg1-1) experimental; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * Build-Depend on python-numpy-* (>= 1:1.5.1)
  * Update all the debian/patches/*

  [ Luca Falavigna ]
  * Remove myself from Uploaders.

  [ Stefano Rivera ]
  * debian/patches/blitz++.patch: Fix scipy.weave.inline compilations. Thanks
    to Sameer Morar (Closes: #598520, LP: #302649)

 -- Varun Hiremath <varun@debian.org>  Fri, 24 Dec 2010 08:20:54 -0500

python-scipy (0.7.2+dfsg1-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #667001).  Remaining changes:
    - Fix scipy.weave.inline compilations (LP: #302649
  * debian/patches/stdc_format_macros.patch: Fix FTBFS issue with python 2.7

 -- Sameer Morar <smorar@gmail.com>  Wed, 27 Oct 2010 00:14:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Luca Falavigna <dktrkranz@debian.org>, Varun Hiremath <varun@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Varun Hiremath <varun@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5.4-1~),
  python-all-dbg (>= 2.5.4-1~), python-central (>= 0.6.7),
- python-numpy (>= 1:1.4.1-4~), python-numpy-dbg (>= 1:1.2.0),
+ python-numpy (>= 1:1.5.1), python-numpy-dbg (>= 1:1.5.1),
  gfortran, sharutils, swig, libsuitesparse-dev (>= 3.1.0-3),
  libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev
 XS-Python-Version: all
@@ -18,7 +19,7 @@
 Package: python-scipy
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, python-numpy (>= 1:1.2.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Recommends: g++ | c++-compiler
 Suggests: python-profiler
@@ -37,7 +38,7 @@
 Section: debug
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, python-dbg, ${shlibs:Depends}, ${misc:Depends}, python-scipy (= ${binary:Version}), python-numpy-dbg (>= 1:1.2.0)
+Depends: ${python:Depends}, python-dbg, ${shlibs:Depends}, ${misc:Depends}, python-scipy (= ${binary:Version}), python-numpy-dbg (>= 1:1.5.1)
 Description: scientific tools for Python - debugging symbols
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
  variety of high level science and engineering modules together as a single

## python-scipy 0.9.0+dfsg1

=== debian/changelog ===
python-scipy (0.9.0+dfsg1-1ubuntu2) precise; urgency=low

  * recommend python-dev and python-imaging (LP: #655192) 

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 23 Apr 2012 21:32:18 +0200

python-scipy (0.9.0+dfsg1-1ubuntu1) precise; urgency=low

  * add python3 packages (LP: #960595)
  * debian/rules:
    - split the build into build and install step
    - use .install files instead of direct setup.py install

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 27 Mar 2012 20:56:17 +0200

python-scipy (0.9.0+dfsg1-1build4) precise; urgency=low

  * Rebuild again to pick up numpy-abi9 on armel too

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 16 Feb 2012 20:14:30 +0100

python-scipy (0.9.0+dfsg1-1build3) precise; urgency=low

  * Rebuild against numpy 1.6

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 15 Feb 2012 23:52:24 +0100

python-scipy (0.9.0+dfsg1-1build2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:12:07 +0000

python-scipy (0.9.0+dfsg1-1build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:22:09 +0000

python-scipy (0.9.0+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #614407, #579041, #569008)
  * Convert to dh_python2 (Closes: #617028)

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 21:26:25 -0400

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Varun Hiremath <varun@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5.4-1~),
- python-all-dbg (>= 2.5.4-1~), python-central (>= 0.6.7),
- python-numpy (>= 1:1.5.1), python-numpy-dbg (>= 1:1.5.1),
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~),
+ python-all-dbg (>= 2.5.4-1~), python-numpy (>= 1:1.5.1), python-numpy-dbg (>= 1:1.5.1),
  gfortran, sharutils, swig, libsuitesparse-dev (>= 3.1.0-3),
- libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev
-XS-Python-Version: all
+ libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev, python3-all-dev, python3-all-dbg, python3-numpy, python3-numpy-dbg
+X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.1
 Standards-Version: 3.9.1
 Homepage: http://www.scipy.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
@@ -18,10 +18,9 @@
 
 Package: python-scipy
 Architecture: any
-XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
-Recommends: g++ | c++-compiler
+Recommends: g++ | c++-compiler, python-dev, python-imaging
 Suggests: python-profiler
 Description: scientific tools for Python
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
@@ -34,10 +33,26 @@
  programming tools, an expression-to-C++ compiler for fast execution, and
  others.
 
+Package: python3-scipy
+Architecture: any
+Depends: python3-numpy, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Recommends: g++ | c++-compiler
+Description: scientific tools for Python 3
+ SciPy supplements the popular NumPy module (python-numpy package), gathering a
+ variety of high level science and engineering modules together as a single
+ package.
+ .
+ SciPy is a set of Open Source scientific and numeric tools for Python. It
+ currently supports special functions, integration, ordinary differential
+ equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
+ programming tools, an expression-to-C++ compiler for fast execution, and
+ others.
+ .
+ This package provides the Python 3 version.
+
 Package: python-scipy-dbg
 Section: debug
 Architecture: any
-XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, python-dbg, ${shlibs:Depends}, ${misc:Depends}, python-scipy (= ${binary:Version}), python-numpy-dbg (>= 1:1.5.1)
 Description: scientific tools for Python - debugging symbols
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
@@ -51,3 +66,20 @@
  others.
  .
  This package provides debugging symbols for python-scipy.
+
+Package: python3-scipy-dbg
+Section: debug
+Architecture: any
+Depends: ${python3:Depends}, python3-dbg, ${shlibs:Depends}, ${misc:Depends}, python3-scipy (= ${binary:Version}), python3-numpy-dbg
+Description: scientific tools for Python 3 - debugging symbols
+ SciPy supplements the popular NumPy module (python-numpy package), gathering a
+ variety of high level science and engineering modules together as a single
+ package.
+ .
+ SciPy is a set of Open Source scientific and numeric tools for Python. It
+ currently supports special functions, integration, ordinary differential
+ equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
+ programming tools, an expression-to-C++ compiler for fast execution, and
+ others.
+ .
+ This package provides debugging symbols for python3-scipy.

=== debian/rules ===
#!/usr/bin/make -f

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None

PY2VERS:= $(shell pyversions -v -r debian/control)
PY3VERS:= $(shell py3versions -v -r debian/control)
BASE=$(shell pwd)/debian
DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	rm -rf build
	find . -name "*.pyc" -exec rm {} \;

build-python%:
	python$* setup.py config_fc --noarch build;
	CFLAGS="-g -ggdb" python$*-dbg setup.py config_fc \
				--noarch build;

override_dh_auto_build: $(PY3VERS:%=build-python%) $(PY2VERS:%=build-python%)

install-python%:
	python$* setup.py install --root $(BASE)/tmp \
		--force --no-compile --install-layout=deb;

	python$*-dbg setup.py install --root $(BASE)/tmp \
		--force --no-compile --install-layout=deb;

override_dh_install: $(PY3VERS:%=install-python%) $(PY2VERS:%=install-python%)
	dh_install
	find debian/python-scipy -type f -name '*_d.so' -delete
	find debian/python3-scipy -type f -name '*.cpython-*d*.so' -delete
	find debian/python-scipy-dbg ! -type d ! -name '*_d.so' -delete
	find debian/python3-scipy-dbg ! -type d ! -name '*.cpython-*d*.so' -delete
	find debian/python-scipy-dbg -depth -empty -exec rmdir {} \;
	find debian/python3-scipy-dbg -depth -empty -exec rmdir {} \;
	rm -f $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/LICENSE.txt;
	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/

	# not ported to py3 in 0.9.0
	rm -rf $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/weave
        #call dh_numpy
	dh_numpy

override_dh_fixperms:
	dh_fixperms
	set -e; for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!' ; then                      \
	    		chmod +x $$i;                                      \
		fi ;                                                       \
	done
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/share/pyshared/scipy/cluster/tests/vq_test.py
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/share/pyshared/scipy/stats/tests/test_stats.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/cluster/tests/vq_test.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/stats/tests/test_stats.py
	#replace all the usr/bin/env python
	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"

override_dh_strip:
	dh_strip -ppython-scipy --dbg-package=python-scipy-dbg
	dh_strip -ppython3-scipy --dbg-package=python3-scipy-dbg

get-orig-source:
	-uscan --force-download --download-version $(UVER) --rename
